from django.test.runner import DiscoverRunner

import app_home.cavaliba as cavaliba

# in settings.py:
# TEST_RUNNER = "core.test_runner.CavalibaTestRunner"


class CavalibaTestRunner(DiscoverRunner):
    def setup_databases(self, **kwargs):
        result = super().setup_databases(**kwargs)
        cavaliba.cavaliba_start()
        return result
